Package wx :: Class ScrolledWindow

[frames | no frames]

## Type ScrolledWindow

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                     Panel --+
                             |
                            ScrolledWindow

Known Subclasses:
  `Editor`, `Grid`, `HtmlWindow`, `MVCTree`, `PreviewCanvas`, `PrintTableDraw`, `PyScrolledWindow`, `RichTextCtrl`, `ShapeCanvas`, `SplitterScrolledWindow`

Proxy of C++ ScrolledWindow class

Method Summary
Window | ``__init__`(self, parent, id, pos, size, style, name)` Construct and show a generic Window.
| `AdjustScrollbars(self)`
Point | ``CalcScrolledPosition`(self, pt)` CalcScrolledPosition(int x, int y) -> (sx, sy)
int | `CalcScrollInc(self, event)`
Point | ``CalcUnscrolledPosition`(self, pt)` CalcUnscrolledPosition(int x, int y) -> (ux, uy)
bool | ``Create`(self, parent, id, pos, size, style, name)` Create the GUI part of the Window for 2-phase creation mode.
| ``DoPrepareDC`(self, dc)` Normally what is called by `PrepareDC`.
| `EnableScrolling(self, x_scrolling, y_scrolling)`
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
double | `GetScaleX(self)`
double | `GetScaleY(self)`
int | `GetScrollPageSize(self, orient)`
(xUnit, yUnit) | ``GetScrollPixelsPerUnit`()` Get the size of one logical unit in physical units.
Window | `GetTargetWindow(self)`
(x,y) | ``GetViewStart`()` Get the view start
| `Scroll(self, x, y)`
| `SetScale(self, xs, ys)`
| `SetScrollbars(self, pixelsPerUnitX, pixelsPerUnitY, noUnitsX, noUnitsY, xPos, yPos, noRefresh)`
| `SetScrollPageSize(self, orient, pageSize)`
| `SetScrollRate(self, xstep, ystep)`
| `SetTargetWindow(self, target)`

Property Summary
| `ScaleX`: See `GetScaleX`
| `ScaleY`: See `GetScaleY`
| `TargetWindow`: See `GetTargetWindow` and `SetTargetWindow`
| `thisown`: The membership flag
| `ViewStart`: See `GetViewStart`

Instance Method Details

### __init__(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxHSCROLL|wxVSCROLL, name=PanelNameStr)
(Constructor)

Construct and show a generic Window.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    Window
  Overrides:
    `wx.Panel.__init__` (inherited documentation)

### CalcScrolledPosition(self, pt)

CalcScrolledPosition(int x, int y) -> (sx, sy)

Translate between scrolled and unscrolled coordinates.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### CalcUnscrolledPosition(self, pt)

CalcUnscrolledPosition(int x, int y) -> (ux, uy)

Translate between scrolled and unscrolled coordinates.

  Parameters:
    `pt`
    (type=Point)

  Returns:
    Point

### Create(self, parent, id=-1, pos=DefaultPosition, size=DefaultSize, style=wxHSCROLL|wxVSCROLL, name=PanelNameStr)

Create the GUI part of the Window for 2-phase creation mode.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Panel.Create`

### DoPrepareDC(self, dc)

Normally what is called by `PrepareDC`.

  Parameters:
    `dc`
    (type=DC)

### GetScrollPixelsPerUnit()

Get the size of one logical unit in physical units.

  Returns:
    (xUnit, yUnit)

### GetViewStart()

Get the view start

  Returns:
    (x,y)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### ScaleX

See `GetScaleX`

  Get Method:
    `GetScaleX`(self)

### ScaleY

See `GetScaleY`

  Get Method:
    `GetScaleY`(self)

### TargetWindow

See `GetTargetWindow` and `SetTargetWindow`

  Get Method:
    `GetTargetWindow`(self)
  Set Method:
    `SetTargetWindow`(self, target)

### thisown

The membership flag

### ViewStart

See `GetViewStart`

  Get Method:
    `GetViewStart`()

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:01 2007 | http://epydoc.sf.net